<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Check non-public items"]]

<bs-tabs id="tabs" class="header">
  <bs-tab event-key="1" title="person">
<semantic-table
  id='table-person'
  query='SELECT DISTINCT ?person ?date ?mams
  WHERE {
    ?person a ismi:Person ;
      rdfs:label ?label .
    OPTIONAL {
      ?person crm:P1_is_identified_by ?id .
      ?id crm:P2_has_type ismiidtype:MAMS ;
        rdfs:label ?mams_str .
      bind(xsd:integer(?mams_str) as ?mams)
    }
    OPTIONAL {
      ?person crm:P98i_was_born / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?bdate .
      bind(year(?bdate) as ?byear)
    }
    OPTIONAL {
      ?person crm:P100i_died_in / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?ddate .
      bind(year(?ddate) as ?dyear)
    }
    OPTIONAL {
      ?person crm:P14i_performed / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?fdate .
      bind(year(?fdate) as ?fyear)
    }
    FILTER NOT EXISTS {
      ?person crm:P2_has_type ismipublictype:is-public .
    }
    bind(coalesce(?byear, ?dyear, ?fyear, "") as ?date)
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "person",
      "displayName": "Person (not public)"
    },
    {
      "variableName": "date",
      "displayName": "Date(G)"
    },
    {
      "variableName": "mams",
      "displayName": "MAMS"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>
  
  <bs-tab event-key="2" title="text">
<semantic-table
  id='table-text'
  query='SELECT DISTINCT ?text ?date
  WHERE {
    ?text a ismi:Text ;
      rdfs:label ?label .
    OPTIONAL {
      ?text frbroo:R16i_was_initiated_by / crm:P4_has_time-span / (crm:P82_at_some_time_within | crm:P82a_begin_of_the_begin ) ?cdate .
      bind(year(?cdate) as ?date)
    }
    FILTER NOT EXISTS {
      ?text crm:P2_has_type ismipublictype:is-public .
    }
  } ORDER BY ?label'
  number-of-displayed-rows=50
  column-configuration='[
    {
      "variableName": "text",
      "displayName": "Text (not public)"
    },
    {
      "variableName": "date",
      "displayName": "Date(G)"
    }
  ]'
  options='{"showFilter": false}'
  >
</semantic-table>
  </bs-tab>
  
</bs-tabs>

[[> Partial:contentEnd]]
